#ifndef SDK_UIS_SKIN_H
#define SDK_UIS_SKIN_H

#include <typedefs.h>
#include <resources.h>

// папка скина, строка в юникоде
extern const WCHAR * SKIN_FOLDER;


#ifdef __cplusplus
extern "C" {
#endif

// получить индекс текущего скина
UINT16 UIS_GetCurrentSkinIndex( void );

// получить индекс скина поумолчанию
UINT16 UIS_GetDefaultSkinIndex( void );

// получение имени скина
WCHAR * UIS_GetSkinName( UINT16 skin_id );

// кол-во скинов
UINT16 UIS_GetNumSkins( void );

// установить скин
void UIS_SetSkin( UINT16 skin_id );


#ifdef __cplusplus
} /* extern "C" */
#endif

#endif // SDK_UIS_SKIN_H